Subject: [NETFILTER 00/10]: Netfilter IPsec support

From: Patrick McHardy <[email-masked]>
Date: Sat, 7 Jan 2006 02:09:30 +0100 (MET)

Hi Dave,

following are the remaining patches for netfilter IPsec support.
They are missing the common-case optimization for inner transport mode
SAs on the input path, but since its just an optimization, I think
it can also be done later. One note: unfortunately I had to increase
skb->cb to make room for two new fields in the IP6CB. Yoshifuji
mentioned he needs more room for mobile IPv6 extensions anyway, so
hopefully this will leave enough room for both. One idea to save some
space again would be to introduce a struct that is a subset of
inet6_skb_parm and only holds the fields needed after the packet is
passed to the upper protocol and use that struct in tcp_skb_cb.